package eu.toldi.rss;

import java.io.IOException;

/**
 * Hírcsatornákat periodikusan frissítő szál.
 * Megjegyzés: A hírcsatornákat 10 percenként frissíti.
 */
public class UpdaterThread extends Thread{
    FeedData data;
    //Tíz perc várakozás
    private static long updateInterval = 10*60*1000;

    /**
     *
     * @param data Ezt az objektumot használja majd frissítésre
     */
    public UpdaterThread(FeedData data){
        this.data = data;
    }

    @Override
    public void run() {
        while (true) {
            try {
                sleep(updateInterval);
                data.updateAll();
            } catch (InterruptedException | IOException e) {
                e.printStackTrace();
            }
        }
    }
}
